
Redmine - Defect #10198

message_id regex in pop3.rb only recognizes Message-ID header (not Message-Id)

2012-02-10 15:15 - Elie Delorme

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

Some servers specify message id as "Message-Id" (lowercase 'd')

This is a minor issue since it only affects logging but fixing the regex makes it easier to track mail processing.

Simple fix:

(message =~ /^Message-I[Dd]: (.*)/ ? $1 : '').strip

instead of:

(message =~ /^Message-ID: (.*)/ ? $1 : '').strip

Associated revisions

Revision 8842 - 2012-02-11 11:06 - Jean-Philippe Lang

POP3 task only recognizes Message-ID header, not Message-Id (#10198).

History

#1 - 2012-02-10 16:18 - Etienne Massip

- Category set to Email receiving

- Target version set to Candidate for next major release

#2 - 2012-02-11 11:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Fix committed in r8842.
